# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`acsc_e8_application_control`](#acsc_e8_application_control): Enforce acsc E8 application control

## Classes

### <a name="acsc_e8_application_control"></a>`acsc_e8_application_control`

Enforce acsc E8 application control

#### Examples

##### 

```puppet
include acsc_e8_application_control
```

#### Parameters

The following parameters are available in the `acsc_e8_application_control` class:

* [`additional_exec_applocker_rules`](#-acsc_e8_application_control--additional_exec_applocker_rules)
* [`additional_msi_applocker_rules`](#-acsc_e8_application_control--additional_msi_applocker_rules)
* [`additional_appx_applocker_rules`](#-acsc_e8_application_control--additional_appx_applocker_rules)
* [`additional_script_applocker_rules`](#-acsc_e8_application_control--additional_script_applocker_rules)
* [`additional_dll_applocker_rules`](#-acsc_e8_application_control--additional_dll_applocker_rules)
* [`executable_rules`](#-acsc_e8_application_control--executable_rules)
* [`msi_rules`](#-acsc_e8_application_control--msi_rules)
* [`dll_rules`](#-acsc_e8_application_control--dll_rules)
* [`script_rules`](#-acsc_e8_application_control--script_rules)
* [`packaged_app_rules`](#-acsc_e8_application_control--packaged_app_rules)
* [`start_service`](#-acsc_e8_application_control--start_service)

##### <a name="-acsc_e8_application_control--additional_exec_applocker_rules"></a>`additional_exec_applocker_rules`

Data type: `Hash`

Additional exec applocker rules. merged with existing ACSC rules see https://forge.puppet.com/modules/benjaminrobertson/applocker/readme

Default value: `{}`

##### <a name="-acsc_e8_application_control--additional_msi_applocker_rules"></a>`additional_msi_applocker_rules`

Data type: `Hash`

Additional msi applocker rules. merged with existing ACSC rules see https://forge.puppet.com/modules/benjaminrobertson/applocker/readme

Default value: `{}`

##### <a name="-acsc_e8_application_control--additional_appx_applocker_rules"></a>`additional_appx_applocker_rules`

Data type: `Hash`

Additional appx applocker rules. merged with existing ACSC rules see https://forge.puppet.com/modules/benjaminrobertson/applocker/readme

Default value: `{}`

##### <a name="-acsc_e8_application_control--additional_script_applocker_rules"></a>`additional_script_applocker_rules`

Data type: `Hash`

Additional script applocker rules. merged with existing ACSC rules see https://forge.puppet.com/modules/benjaminrobertson/applocker/readme

Default value: `{}`

##### <a name="-acsc_e8_application_control--additional_dll_applocker_rules"></a>`additional_dll_applocker_rules`

Data type: `Hash`

Additional dll applocker rules. merged with existing ACSC rules see https://forge.puppet.com/modules/benjaminrobertson/applocker/readme

Default value: `{}`

##### <a name="-acsc_e8_application_control--executable_rules"></a>`executable_rules`

Data type: `Enum['Enabled','AuditOnly']`

Mode for executable rules.

Default value: `'AuditOnly'`

##### <a name="-acsc_e8_application_control--msi_rules"></a>`msi_rules`

Data type: `Enum['Enabled','AuditOnly']`

Mode for msi rules.

Default value: `'AuditOnly'`

##### <a name="-acsc_e8_application_control--dll_rules"></a>`dll_rules`

Data type: `Enum['Enabled','AuditOnly']`

Mode for dll rules.

Default value: `'AuditOnly'`

##### <a name="-acsc_e8_application_control--script_rules"></a>`script_rules`

Data type: `Enum['Enabled','AuditOnly']`

Mode for script rules.

Default value: `'AuditOnly'`

##### <a name="-acsc_e8_application_control--packaged_app_rules"></a>`packaged_app_rules`

Data type: `Enum['Enabled','AuditOnly']`

Mode for packaged app rules.

Default value: `'AuditOnly'`

##### <a name="-acsc_e8_application_control--start_service"></a>`start_service`

Data type: `Boolean`

Start the appID service.

Default value: `true`

